package org.dromara.payment.task.service;

import org.dromara.payment.task.domain.MerTaskEnroll;
import org.dromara.payment.task.domain.vo.MerTaskEnrollVo;
import org.dromara.payment.task.domain.bo.MerTaskEnrollBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 任务的报名Service接口
 *
 * @author LionLi
 * @date 2024-04-08
 */
public interface IMerTaskEnrollService {

    /**
     * 查询任务的报名
     */
    MerTaskEnrollVo queryById(Long id);

    /**
     * 查询任务的报名列表
     */
    TableDataInfo<MerTaskEnrollVo> queryPageList(MerTaskEnrollBo bo, PageQuery pageQuery);

    /**
     * 查询任务的报名列表
     */
    List<MerTaskEnrollVo> queryList(MerTaskEnrollBo bo);

    /**
     * 新增任务的报名
     */
    Boolean insertByBo(MerTaskEnrollBo bo);

    /**
     * 修改任务的报名
     */
    Boolean updateByBo(MerTaskEnrollBo bo);

    /**
     * 校验并批量删除任务的报名信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean checkEnrollByBo(MerTaskEnrollBo bo);

    TableDataInfo<MerTaskEnrollVo> queryPageSuccessList(MerTaskEnrollBo bo, PageQuery pageQuery);

    Boolean acceptanceEnrollByBo(MerTaskEnrollBo bo);
}
